package de.heatup.ui.statusPanel;


public class Temperature {
	private int min;
	private int max;
	private int valtemp;
	
	//ggf. f�r Schwierigkeitsgerade min und max zu ver�ndern und startwert!?
	public Temperature(int gmin, int gmax, int gtemp){
		this.min=gmin;
		this.max=gmax;
		this.valtemp=gtemp;
	}
	
	//returns temp
	public int getTemp(){
		return valtemp;
	}
	public void setTemp(int a){
		valtemp=a;
	}
	/*
	 * raiseTemp
	 * return true, gameplay goes on
	 * return false, heatup done
	 */
	/*public boolean raiseTemp(int additional){
		valtemp+=additional;
		if(valtemp>max){
			return false;
		} else {
			return true;
		}
	}*/
	
	/* reduceTemp
	 * return true; gameplay goes on
	 * return false; game over, temperature too low
	 */
	/*public boolean reduceTemp(int reduce){
		valtemp-=reduce;
		if (valtemp<min){
			return false;
		} else {
			return true;
		}
	}*/
	
}
